Problema con alien rpm a deb

Imagen de bvolpini
0 puntos

Hola, les vengo a consultar por si alguien sabe porque ya me quedé sin ideas sobre este problema que me lleva días.
El asunto es el siguiente:
Tengo que instalar tres archivos en un servidor con Ubuntu de 32 bits.
Lo que hice fue descargar el alien: aptitude install alien

*Luego tratar de pasar el paquete de rpm a dev: #alien -dv OB2-MA-A.06.00-1.i386.rpm

Esto no funcionó tampoco con alien --to-deb
La salida al tratar de transformar los archivos es la siguiente:

alien -dv OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{NAME} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{VERSION} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{RELEASE} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{ARCH} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{CHANGELOGTEXT} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{SUMMARY} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{DESCRIPTION} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{COPYRIGHT} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{PREFIXES} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{POSTIN} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{POSTUN} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{PREUN} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qp --queryformat %{PREIN} OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qcp OB2-MA-A.06.00-1.i386.rpm
rpm -qpi OB2-MA-A.06.00-1.i386.rpm
LANG=C rpm -qpl OB2-MA-A.06.00-1.i386.rpm
mkdir -
chmod 755 -
rpm2cpio OB2-MA-A.06.00-1.i386.rpm | (cd -; cpio --extract --make-directories --no-absolute-filenames --preserve-modification-time) 2>&1
chmod 755 -/./
chmod: opción incorrecta -- '/'
Pruebe «chmod --help» para obtener más información.
mkdir -/debian
mkdir: opción incorrecta -- '/'
Pruebe «mkdir --help» para obtener más información.
mkdir -/debian failed: at /usr/share/perl5/Alien/Package/Deb.pm line 299.
find - -type d -exec chmod 755 {} ;
rm -rf -

Fijense que casi al final me tira un error con chmod y chown que se genera en la linea 299 del script.

Sinceramente si me pudieran dar una mano me sería de una ayuda enorme.

Muchas gracias de antemano a todos.

Saludos.

Imagen de erikzon
+1
0
-1

Tengo el mismo problema, me suscribo en espera de alguna respuesta.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Es probable que nadie responda al problema, yo te aconsejo que busques primero, ah y no te fies de alien, que bien es una herramienta que ayuda a usar paquetes no presentes en distribuciones basadas en Debian y si en basadas en Red Hat... no es un garante de compatibilidad.

Y parece ser que ese un error en el script "Alien", que probablemente ya este arreglado, quizás tu problema es diferente a este.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro